Package com.dropbox.core.v2.files
Class CreateFolderBatchBuilder
java.lang.Object
com.dropbox.core.v2.files.CreateFolderBatchBuilder
The request builder returned by
DbxUserFilesRequests.createFolderBatchBuilder(java.util.List<java.lang.String>).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withAutorename(Boolean autorename) Set value for optional field.withForceAsync(Boolean forceAsync) Set value for optional field.
-
Method Details
-
withAutorename
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
autorename- If there's a conflict, have the Dropbox server try to autorename the folder to avoid the conflict. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withForceAsync
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
forceAsync- Whether to force the create to happen asynchronously. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
start
Issues the request.- Throws:
DbxApiExceptionDbxException
-